log4cplus::internal::CustomLogLevelManager Class Reference

Custom log level manager used by C API. More...

`#include <customloglevelmanager.h>`

Collaboration diagram for log4cplus::internal::CustomLogLevelManager:
[legend]

## Public Member Functions

| CustomLogLevelManager ()
bool | add (LogLevel ll, tstring const &nm)
bool | remove (LogLevel ll, tstring const &nm)

## Protected Member Functions

tstring const & | customToStringMethodWorker (LogLevel ll)
LogLevel | customFromStringMethodWorker (const tstring &nm)

## Static Protected Member Functions

static LOG4CPLUS_PRIVATE tstring const & | customToStringMethod (LogLevel ll)
static LOG4CPLUS_PRIVATE LogLevel | customFromStringMethod (const tstring &nm)

## Protected Attributes

log4cplus::thread::Mutex | mtx
bool | pushed_methods
std::map< LogLevel, tstring > | ll2nm
std::map< tstring, LogLevel > | nm2ll

## Detailed Description

Custom log level manager used by C API.

Definition at line 64 of file customloglevelmanager.h.

## Constructor & Destructor Documentation

## CustomLogLevelManager()

log4cplus::internal::CustomLogLevelManager::CustomLogLevelManager | ( |  | ) |

inline

Definition at line 72 of file customloglevelmanager.h.

References pushed_methods.

## Member Function Documentation

## add()

bool log4cplus::internal::CustomLogLevelManager::add | ( | LogLevel | ll,
|  | tstring const & | nm )

inline

Definition at line 76 of file customloglevelmanager.h.

References customFromStringMethod(), customToStringMethod(), log4cplus::getLogLevelManager(), ll2nm, mtx, nm2ll, pushed_methods, log4cplus::LogLevelManager::pushFromStringMethod(), and log4cplus::LogLevelManager::pushToStringMethod().

## customFromStringMethod()

LOG4CPLUS_PRIVATE LogLevel log4cplus::internal::CustomLogLevelManager::customFromStringMethod | ( | const tstring & | nm | ) |

static protected

References LOG4CPLUS_PRIVATE.

Referenced by add().

## customFromStringMethodWorker()

LogLevel log4cplus::internal::CustomLogLevelManager::customFromStringMethodWorker | ( | const tstring & | nm | ) |

inline protected

Definition at line 130 of file customloglevelmanager.h.

References mtx, nm2ll, and log4cplus::NOT_SET_LOG_LEVEL.

## customToStringMethod()

LOG4CPLUS_PRIVATE tstring const & log4cplus::internal::CustomLogLevelManager::customToStringMethod | ( | LogLevel | ll | ) |

static protected

References LOG4CPLUS_PRIVATE.

Referenced by add().

## customToStringMethodWorker()

tstring const & log4cplus::internal::CustomLogLevelManager::customToStringMethodWorker | ( | LogLevel | ll | ) |

inline protected

Definition at line 120 of file customloglevelmanager.h.

References log4cplus::internal::empty_str, ll2nm, and mtx.

## remove()

bool log4cplus::internal::CustomLogLevelManager::remove | ( | LogLevel | ll,
|  | tstring const & | nm )

inline

Definition at line 101 of file customloglevelmanager.h.

References ll2nm, mtx, and nm2ll.

## Member Data Documentation

## ll2nm

std::map<LogLevel,tstring> log4cplus::internal::CustomLogLevelManager::ll2nm

protected

Definition at line 68 of file customloglevelmanager.h.

Referenced by add(), customToStringMethodWorker(), and remove().

## mtx

log4cplus::thread::Mutex log4cplus::internal::CustomLogLevelManager::mtx

protected

Definition at line 66 of file customloglevelmanager.h.

Referenced by add(), customFromStringMethodWorker(), customToStringMethodWorker(), and remove().

## nm2ll

std::map<tstring,LogLevel> log4cplus::internal::CustomLogLevelManager::nm2ll

protected

Definition at line 69 of file customloglevelmanager.h.

Referenced by add(), customFromStringMethodWorker(), and remove().

## pushed_methods

bool log4cplus::internal::CustomLogLevelManager::pushed_methods

protected

Definition at line 67 of file customloglevelmanager.h.

Referenced by add(), and CustomLogLevelManager().

The documentation for this class was generated from the following file:

- customloglevelmanager.h